×
Namespaces

Variants
Actions

Text-To-Speech API二进制兼容的问题

From Nokia Developer Wiki
Jump to: navigation, search
Article Metadata

文章
翻译:
hoolee
最后由 hamishwillee 在 09 Aug 2012 编辑

KIS000843


  • 开发伙伴平台:

S60 3rd Edition


  • 详细描述

这个API并非公共SDK的一部分。可以在这里找到SDK API Plug-in


TTS (Text-To-Speech)API在S60第三版FP2的SDK API Plug-in中可以找到。TTS支持所有的第三版手机,但是在第三版和第三版FP1之间存在二进制兼容的问题。


TTS应用提供了在S60手机上访问TTS功能的方法,包括一个高质量的TTS引擎,但目前只支持部分手机。


在S60第三版和第三版FP1手机之间存在二进制兼容的问题,如果使用在这个版本的TTS API编译的程序运行在另一个S60第三版手机上将可能导致KERN-EXEC 3错误。


  • 解决方案

上述Plug-in包中的TTS API可以使用在S60第三版FP1和FP2手机上。如果要获得某些S60手机上的高质量TTS性能,就需要特殊的S60第三版API。这个版本的API可以通过Nokia Developer API Partnering获得。


而低质量的TTS可以通过CMdaAudioPlayerUtility使用。更多信息查看这里Text to speech in Symbian 2nd and 3rd edition phones

This page was last modified on 9 August 2012, at 09:39.
138 page views in the last 30 days.